commit:     592d018506c2425227c394e42750433b8713db1e
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 13 13:50:52 2019 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Fri Dec 13 13:51:11 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=592d0185

net-libs/gnutls: Version bump (v3.6.11.1)

Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 net-libs/gnutls/Manifest               |   1 +
 net-libs/gnutls/gnutls-3.6.11.1.ebuild | 131 +++++++++++++++++++++++++++++++++
 2 files changed, 132 insertions(+)

diff --git a/net-libs/gnutls/Manifest b/net-libs/gnutls/Manifest
index fc188a27aef..868a63c7949 100644
--- a/net-libs/gnutls/Manifest
+++ b/net-libs/gnutls/Manifest
@@ -1,3 +1,4 @@
 DIST gnutls-3.6.10.tar.xz 5795984 BLAKE2B 
faa4069613bacffbbc3fe00a7b8963f0aa7eacc7946ea51912e2b6366964cf7001d40aa5de3f0543405c54a3200da0c0029150ec7cce84d598bce44b461f2fab
 SHA512 
fe0481f9e4219e983b01b91e69ffd95819a4c0d0c09028509106d561967e9c5d900bc5e3a48140a34fa4467feda2a619085adf3fa8fdade96c8debf125e91ae8
+DIST gnutls-3.6.11.1.tar.xz 5902328 BLAKE2B 
b0cb2fd651411d1647a927bcbf8ae032e68b2d4ab3ae4a1d2b77d7dd13420e2e31cc66c3e106d830051cea5e0f9d3ca5419ec5ae57ec490638cb033fa740974e
 SHA512 
55fbbf0ebc824fbc91ccd08d1708452c5b1c12af75e332f29414540eb2f81337fa605a693ce9f34319a927e9d71177e6e7ffea5c6747792d341fb740f68c9489
 DIST gnutls-3.6.11.tar.xz 5818536 BLAKE2B 
d413b49b3f7087bb91c2b700ded0825f55e0750d1dc509bfeb4735ab7fa8992f02a71c478bbb492a68d6b673c6662842fc7992ccf408379eb142d41b00eb2daa
 SHA512 
dbf6766131496f66d712cf3a8f042e93eea057d843972c7cc0376c25b6f3802f51af4fe9b38fbb07e8194748a185055a2bd26c1fabd234d330b892466061462a
 DIST gnutls-3.6.7.tar.xz 8153728 BLAKE2B 
993a45edff335e75f36de27373d5db01094c81ebc5eb13d9e04a01f7f32ce6189f71f05a18c90c2e57aec688750e917ee948261726acdd7752d9d7d42a9c7ac2
 SHA512 
ae9b8996eb9b7269d28213f0aca3a4a17890ba8d47e3dc3b8e754ab8e2b4251e9412aaaa161a8bf56167f04cc169b4cada46f55a7bde92b955eb36cd717a99f3

diff --git a/net-libs/gnutls/gnutls-3.6.11.1.ebuild 
b/net-libs/gnutls/gnutls-3.6.11.1.ebuild
new file mode 100644
index 00000000000..01f282e2fc3
--- /dev/null
+++ b/net-libs/gnutls/gnutls-3.6.11.1.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit libtool multilib-minimal
+
+DESCRIPTION="A TLS 1.2 and SSL 3.0 implementation for the GNU project"
+HOMEPAGE="http://www.gnutls.org/";
+SRC_URI="mirror://gnupg/gnutls/v$(ver_cut 1-2)/${P}.tar.xz"
+
+LICENSE="GPL-3 LGPL-2.1+"
+SLOT="0/30" # libgnutls.so number
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sh ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+cxx dane doc examples guile +idn nls +openssl pkcs11 seccomp sslv2 
sslv3 static-libs test test-full +tls-heartbeat tools valgrind"
+
+REQUIRED_USE="
+       test-full? ( cxx dane doc examples guile idn nls openssl pkcs11 seccomp 
tls-heartbeat tools )"
+RESTRICT="!test? ( test )"
+
+# NOTICE: sys-devel/autogen is required at runtime as we
+# use system libopts
+RDEPEND=">=dev-libs/libtasn1-4.9:=[${MULTILIB_USEDEP}]
+       dev-libs/libunistring:=[${MULTILIB_USEDEP}]
+       >=dev-libs/nettle-3.4.1:=[gmp,${MULTILIB_USEDEP}]
+       >=dev-libs/gmp-5.1.3-r1:=[${MULTILIB_USEDEP}]
+       tools? ( sys-devel/autogen:= )
+       dane? ( >=net-dns/unbound-1.4.20:=[${MULTILIB_USEDEP}] )
+       guile? ( >=dev-scheme/guile-2:=[networking] )
+       nls? ( >=virtual/libintl-0-r1:=[${MULTILIB_USEDEP}] )
+       pkcs11? ( >=app-crypt/p11-kit-0.23.1:=[${MULTILIB_USEDEP}] )
+       idn? ( >=net-dns/libidn2-0.16-r1:=[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+       test? (
+               seccomp? ( sys-libs/libseccomp )
+       )"
+BDEPEND=">=virtual/pkgconfig-0-r1
+       doc? ( dev-util/gtk-doc )
+       nls? ( sys-devel/gettext )
+       tools? ( sys-devel/autogen )
+       valgrind? ( dev-util/valgrind )
+       test-full? (
+               app-crypt/dieharder
+               >=app-misc/datefudge-1.22
+               dev-libs/softhsm:2[-bindist]
+               net-dialup/ppp
+               net-misc/socat
+       )"
+
+DOCS=(
+       README.md
+       doc/certtool.cfg
+)
+
+HTML_DOCS=()
+
+pkg_setup() {
+       # bug#520818
+       export TZ=UTC
+
+       use doc && HTML_DOCS+=(
+               doc/gnutls.html
+       )
+}
+
+src_prepare() {
+       default
+
+       # force regeneration of autogen-ed files
+       local file
+       for file in $(grep -l AutoGen-ed src/*.c) ; do
+               rm src/$(basename ${file} .c).{c,h} || die
+       done
+
+       # Use sane .so versioning on FreeBSD.
+       elibtoolize
+}
+
+multilib_src_configure() {
+       LINGUAS="${LINGUAS//en/en@boldquot en@quot}"
+
+       local libconf=()
+
+       # TPM needs to be tested before being enabled
+       libconf+=( --without-tpm )
+
+       # hardware-accell is disabled on OSX because the asm files force
+       #   GNU-stack (as doesn't support that) and when that's removed ld
+       #   complains about duplicate symbols
+       [[ ${CHOST} == *-darwin* ]] && libconf+=( 
--disable-hardware-acceleration )
+
+       # Cygwin as does not understand these asm files at all
+       [[ ${CHOST} == *-cygwin* ]] && libconf+=( 
--disable-hardware-acceleration )
+
+       local myeconfargs=(
+               $(multilib_native_enable manpages)
+               $(multilib_native_use_enable doc gtk-doc)
+               $(multilib_native_use_enable doc)
+               $(multilib_native_use_enable guile)
+               $(multilib_native_use_enable seccomp seccomp-tests)
+               $(multilib_native_use_enable test tests)
+               $(multilib_native_use_enable test-full full-test-suite)
+               $(multilib_native_use_enable tools)
+               $(multilib_native_use_enable valgrind valgrind-tests)
+               $(use_enable cxx)
+               $(use_enable dane libdane)
+               $(use_enable nls)
+               $(use_enable openssl openssl-compatibility)
+               $(use_enable sslv2 ssl2-support)
+               $(use_enable sslv3 ssl3-support)
+               $(use_enable static-libs static)
+               $(use_enable tls-heartbeat heartbeat-support)
+               $(use_with idn)
+               $(use_with pkcs11 p11-kit)
+               --disable-rpath
+               
--with-unbound-root-key-file="${EPREFIX}/etc/dnssec/root-anchors.txt"
+               --without-included-libtasn1
+               $("${S}/configure" --help | grep -o -- '--without-.*-prefix')
+       )
+       ECONF_SOURCE="${S}" econf "${libconf[@]}" "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${ED}" -type f -name '*.la' -delete || die
+
+       if use examples; then
+               docinto examples
+               dodoc doc/examples/*.c
+       fi
+}

Reply via email to